LibreOffice LibreOffice 5.3 SDK API Reference

Classes | Modules
XStorageBasedDocument.idl File Reference
`import "com/sun/star/uno/XInterface.idl";`
`import "com/sun/star/embed/XStorage.idl";`
`import "com/sun/star/io/IOException.idl";`
`import "com/sun/star/frame/DoubleInitializationException.idl";`
`import "com/sun/star/document/XStorageChangeListener.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`
`import "com/sun/star/beans/PropertyValue.idl";`

Go to the source code of this file.

## Classes
interface | XStorageBasedDocument
| allows to initialize document with a storage, to store document to a storage, and to set document to be based on provided storage. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::document
| Office document related interfaces.